::
:: setenv
::
:: Set environment for running sample code.
::
:: Modify the variables below as necessary
:: to match your environment.
::

@echo off
:: Database information for your database
set DBNAME=dbname
set DBUSER=dbuser
set DBPWD=dbpwd

:: processType will be 'wcde' for WCDE and 'runtime' for server
set processType=pleaseUpdate

:: checks the process type you set above
if "%processType%" == "wcde" goto wcdeusage
if "%processType%" == "runtime" goto runtimeusage  
if "%processType%" == "pleaseUpdate" goto  pleaseUpdateMessage       

:pleaseUpdateMessage
echo Please update "processType" parameter in env.bat to indicate whether WCDE or Runtime environmemt is used  
goto end

:wcdeusage
:: Development Environment install directory
set WCDEHOME=W:\WCDE_INT70
set fileDir=%WCDEHOME%
goto defineFiles

:runtimeusage
:: WebSphere Commerce install directory
set WCSHOME=C:\WebSphere\CommerceServer70
set fileDir=%WCSHOME%
set PATH=.;%WCSHOME%\bin;%WCSHOME%\schema\xml;%PATH%

goto defineFiles

:defineFiles
set mainBootstrap=%fileDir%\schema\xml\wcs.bootstrap_my_Lang.xml
set enCABootstrap=%fileDir%\schema\xml\wcs.bootstrap_multi_en_CA.xml
set frCABootstrap=%fileDir%\schema\xml\wcs.bootstrap_multi_fr_CA.xml
goto end

:end

:
