::
:: Step4-massload.bat
:: 
:: Transform raw xml data into unique identity format
::
:: Input:
::   dbname 	                       	Database name
::   dbuser 			        Database user name
::   dbpwd  			        Database user password
::
::

@echo off
setlocal
call env.bat

echo The environment is %processType%

if "%processType%" == "wcde" goto wcdeusage
if "%processType%" == "runtime" goto runtimeusage 
if "%processType%" == "pleaseUpdate" goto  end    

:wcdeusage
echo loading data ...
%WCDEHOME%\bin\massload %mainBootstrap%
goto end


:runtimeusage
echo loading data ...
massload -dbname %DBNAME% -dbuser %DBUSER% -dbpwd %DBPWD% -infile %mainBootstrap% -method sqlimport -commitcount 20
goto end

:end

endlocal
